{% extends 'main/sample.html' %}
{% load static %}

{% block title %} Замовити ліки {% endblock %}
{% block css_url %}
<link rel="stylesheet" href="{% static 'main/css/main.css' %}">
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0/js/bootstrap.min.js"></script>
{% endblock %}
{% block js_url %}
<script src="{% static 'main/js/popup.js' %}"></script>
<script src="{% static 'main/js/medicine.js' %}"></script>
<script src="{% static 'main/js/search.js' %}"></script>
{% endblock %}

{% block content %}
{% include 'main/objects/header.html' %}

<main class="lock-padding">
    <section class="greeting">
        <h1>Каталог ліків</h1>
        <p>Замовляте тут, забирайте там</p>
    </section>
    <div class="serch_bar">
        <input type="text" id="search-medicine" class="search_input" placeholder="Пошук за назвою..."
               maxlength="30">
        <script src="https://cdn.lordicon.com/bhenfmcm.js"></script>
        <lord-icon id="search-loader" class="search_loader"
                   src="https://cdn.lordicon.com/xjovhxra.json"
                   trigger="loop"
                   colors="primary:#111618,secondary:#111618"
                   stroke="100">
        </lord-icon>
    </div>
    <section class="medicine_section"  id="medicine-list">
        <p id="no-results-message" class="not_found">Ліки не знайдені</p>
        {% for m in medicine_post %}
            {% if m.amount <= 0 %}
                <div class="medicine_card soldout" data-medicine="{{ m.medicine|lower }}">
                    <h3 class="medicine_title">{{m.medicine}}</h3>
                    <div class="medicine_image soldout">
                        <img src="{{m.photo.url}}" alt="Фотографія ліків">
                    </div>
                    <p class="medicine_price">{{m.price}} ₴</p>
                    <div class="medicine_description">
                        {% if m.weight > 0 %}
                            <p class="medicine_specification">Вага: {{m.weight}} мг</p>
                        {% endif %}
                        {% if m.volume > 0 %}
                            <p class="medicine_specification">Об’єм: {{m.volume}} мл</p>
                        {% endif %}
                        {% if m.number_of_tablets > 0 %}
                            <p class="medicine_specification">Кількість таблеток: {{m.number_of_tablets}} шт</p>
                        {% endif %}
                    </div>
                    <div class="location_box">
                        <img class="location_icon" src="{% static 'main/gif/location.gif' %}">
                        <a class="medicine_location" href="{{m.location_url}}">{{m.get_location_display}}</a>
                    </div>
                <div class="medicine_button soldout">
                    <p style="color: #ff644d"><b>Немає в нявності</b></p>
                </div>
            </div>
            {% else %}
                <div class="medicine_card" data-medicine="{{ m.medicine|lower }}">
                    <h3 class="medicine_title">{{m.medicine}}</h3>
                    <div class="medicine_image">
                        <img src="{{m.photo.url}}" alt="Фотографія ліків">
                    </div>
                    <p class="medicine_price">{{m.price}} ₴</p>
                    <div class="medicine_description">
                        {% if not m.weight == 0 %}
                            <p class="medicine_specification">Вага: {{m.weight}} мг</p>
                        {% endif %}
                        {% if not m.volume == 0 %}
                            <p class="medicine_specification">Об’єм: {{m.volume}} мл</p>
                        {% endif %}
                        {% if not m.number_of_tablets == 0 %}
                            <p class="medicine_specification">Кількість таблеток: {{m.number_of_tablets}} шт</p>
                        {% endif %}
                    </div>
                    <div class="location_box">
                        <img class="location_icon" src="{% static 'main/gif/location.gif' %}">
                        <a class="medicine_location" href="{{m.location_url}}" target="_blank">{{m.get_location_display}}</a>
                    </div>
                    <a href="#{{ m.id }}" class="medicine_button popup-link"
                        data-user_verified="{{user.user_verified}}"
                        data-user_id="{{user.id}}"
                    >Замовити</a>
                </div>
            <div id="{{ m.id }}" class="popup">
                <div class="popup_body">
                    <div class="popup_box product">
                        <a href="#" class="popup_close close-popup"><img src="{% static 'main/icons/close-50.png' %}"></a>
                        <h2 class="popup_header">Замовлення</h2>
                        <div class="popup_content">
                            <div class="popup_photo"><img src="{{m.photo.url}}"></div>
                            <div class="popup_info">
                                <h4>{{m.medicine}}</h4>
                                <p>{{m.description}}</p>
                                <div class="quantity">
                                    <button class="decrease"><img src="{% static 'main/icons/minus-50.png' %}"></button>
                                    <input type="text" class="order_amount" value="1" min="1" max="99">
                                    <button class="increase"><img src="{% static 'main/icons/plus-50.png' %}"></button>
                                </div>
                                <p class="order_price_text">Загальна вартість:</p>
                                <p class="order_price" data-price="{{m.price}}">{{m.price}} ₴</p>
                            </div>
                        </div>
                        <div class="popup_footer">
                            <a id="order-link" class="popup_link close-popup" href="#"
                               data-order_location="{{ m.get_location_display }}"
                               data-order_medicine="{{m.medicine}}"
                            >Замовити</a>
                        </div>
                    </div>
                </div>
            </div>
            {% endif %}
        {% endfor %}
    </section>
</main>

{% include 'main/objects/footer.html' %}
{% endblock %}

<script src="{% static 'main/js/order_price.js' %}"></script>